<?php
/**
* ZGo Payment Gateway for WooCommerce Plugin 
*  
* This class creates the main statistics page for the plugin.
*
**/
class zpmt_stats {

	private $zpmtStatsPage;

	public function __construct( $zpmtStatsPage ) {
		$this->zpmtStatsPage = $zpmtStatsPage;
	}

	public function init() {
		add_action( 'admin_menu', array( $this, 'add_options_page' ) );
	}

	public function add_options_page() {

		add_management_page(
			'ZGo Payment Gateway Support',
			'ZGo Payments',
			'manage_options',
			'zgopmtlist',
			array( $this->zpmtStatsPage, 'render' )
		);
	}

}
